diff -r -c postgresql-8.4.orig/doc/src/sgml/backup.sgml postgresql-8.4/doc/src/sgml/backup.sgml
*** postgresql-8.4.orig/doc/src/sgml/backup.sgml	2008-04-01 15:18:50.000000000 +0200
--- postgresql-8.4/doc/src/sgml/backup.sgml	2008-04-01 15:23:27.000000000 +0200
***************
*** 871,876 ****
--- 871,879 ----
      file.  In case of confusion it will
      therefore be possible to look inside a backup dump file and determine
      exactly which backup session the dump file came from.
+     Do not shutdown the server during an online backup. The server will refuse
+     a smart shutdown and terminate backup mode on a fast shutdown, as
+     described in <xref linkend="server-shutdown">.
     </para>
  
     <para>
Only in postgresql-8.4/doc/src/sgml: backup.sgml.orig
diff -r -c postgresql-8.4.orig/doc/src/sgml/ref/pg_ctl-ref.sgml postgresql-8.4/doc/src/sgml/ref/pg_ctl-ref.sgml
*** postgresql-8.4.orig/doc/src/sgml/ref/pg_ctl-ref.sgml	2008-04-01 15:18:50.000000000 +0200
--- postgresql-8.4/doc/src/sgml/ref/pg_ctl-ref.sgml	2008-04-01 15:23:27.000000000 +0200
***************
*** 134,141 ****
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
     option: <quote>Smart</quote> mode waits for all the clients to
!    disconnect.  This is the default.  <quote>Fast</quote> mode does
!    not wait for clients to disconnect.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
     all server processes without a clean shutdown.  This will lead to 
--- 134,143 ----
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
     option: <quote>Smart</quote> mode waits for all the clients to
!    disconnect and will not shutdown a server in online backup
!    mode.  This is the default.  <quote>Fast</quote> mode does
!    not wait for clients to disconnect and will terminate an
!    online backup in progress.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
     all server processes without a clean shutdown.  This will lead to 
diff -r -c postgresql-8.4.orig/doc/src/sgml/runtime.sgml postgresql-8.4/doc/src/sgml/runtime.sgml
*** postgresql-8.4.orig/doc/src/sgml/runtime.sgml	2008-04-01 15:18:50.000000000 +0200
--- postgresql-8.4/doc/src/sgml/runtime.sgml	2008-04-01 15:23:27.000000000 +0200
***************
*** 1309,1315 ****
         After receiving <systemitem>SIGTERM</systemitem>, the server
         disallows new connections, but lets existing sessions end their
         work normally. It shuts down only after all of the sessions
!        terminate normally. This is the <firstterm>Smart
         Shutdown</firstterm>.
        </para>
       </listitem>
--- 1309,1316 ----
         After receiving <systemitem>SIGTERM</systemitem>, the server
         disallows new connections, but lets existing sessions end their
         work normally. It shuts down only after all of the sessions
!        terminate normally.  If the server is in online backup mode,
!        it will refuse to shut down.  This is the <firstterm>Smart
         Shutdown</firstterm>.
        </para>
       </listitem>
***************
*** 1322,1328 ****
         The server disallows new connections and sends all existing
         server processes <systemitem>SIGTERM</systemitem>, which will cause them
         to abort their current transactions and exit promptly. It then
!        waits for the server processes to exit and finally shuts down. This is the
         <firstterm>Fast Shutdown</firstterm>.
        </para>
       </listitem>
--- 1323,1331 ----
         The server disallows new connections and sends all existing
         server processes <systemitem>SIGTERM</systemitem>, which will cause them
         to abort their current transactions and exit promptly. It then
!        waits for the server processes to exit and finally shuts down.
!        If the server is in online backup mode, backup mode will be
!        terminated, rendering the backup useless.  This is the
         <firstterm>Fast Shutdown</firstterm>.
        </para>
       </listitem>
